> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/package-api/label-config.md).

# Label Config

## GET /api/v4/LabelConfig/{tenantCode}/excel

> GetLabelConfigExcelAsync

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"LabelConfig"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v4/LabelConfig/{tenantCode}/excel":{"get":{"tags":["LabelConfig"],"summary":"GetLabelConfigExcelAsync","operationId":"Get","parameters":[{"name":"tenantCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"500":{"description":"Internal Server Error"}}}}}}
```

## POST /api/v4/LabelConfig/{tenantCode}/excel

> PostLabelConfigExcel

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"LabelConfig"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v4/LabelConfig/{tenantCode}/excel":{"post":{"tags":["LabelConfig"],"summary":"PostLabelConfigExcel","operationId":"Post","parameters":[{"name":"tenantCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","description":"","format":"binary"}}},"encoding":{"file":{"style":"form"}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```

## GET /api/v4/LabelConfig/{tenantCode}/history

> Gets label config history by Tenant code

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"LabelConfig"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Package.Model.DTO.V4.LabelConfigHistoryListResponse":{"type":"object","properties":{"labelConfigHistory":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.LabelConfigHistory"},"description":"Gets or sets the list of bulk data history responses.","nullable":true},"httpStatusCode":{"$ref":"#/components/schemas/System.Net.HttpStatusCode"},"statusMessage":{"type":"string","description":"Gets or sets the status message.","nullable":true}},"additionalProperties":false,"description":"Represents the response for getting bulk data history list."},"Package.Model.DTO.V4.LabelConfigHistory":{"type":"object","properties":{"id":{"type":"string","description":"Gets the unique identifier for the bulk upload history record.","nullable":true},"tenantCode":{"type":"string","description":"Gets or sets the tenant code.","nullable":true},"fileName":{"type":"string","description":"Gets or sets the name of the uploaded file.","nullable":true},"uploadedByName":{"type":"string","description":"Gets or sets the name of the person who uploaded the record.","nullable":true},"uploadedByEmail":{"type":"string","description":"Gets or sets the email of the person who uploaded the file.","nullable":true},"createdOn":{"type":"string","description":"Gets or sets the date of the record who uploaded the file.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Represents the response for a single bulk data history record."},"System.Net.HttpStatusCode":{"enum":[100,101,102,103,200,201,202,203,204,205,206,207,208,226,300,301,302,303,304,305,306,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,421,422,423,424,426,428,429,431,451,500,501,502,503,504,505,506,507,508,510,511],"type":"integer","format":"int32"}}},"paths":{"/api/v4/LabelConfig/{tenantCode}/history":{"get":{"tags":["LabelConfig"],"summary":"Gets label config history by Tenant code","operationId":"GetHistory","parameters":[{"name":"tenantCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Model.DTO.V4.LabelConfigHistoryListResponse"}}}},"500":{"description":"Internal Server Error"}}}}}}
```

## GET /api/v4/LabelConfig/history/{id}

> Gets the Excel file by history Id.

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"LabelConfig"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v4/LabelConfig/history/{id}":{"get":{"tags":["LabelConfig"],"summary":"Gets the Excel file by history Id.","operationId":"GetExcelByHistoryId","parameters":[{"name":"id","in":"path","description":"The record Id.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"500":{"description":"Internal Server Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/package-api/label-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
